Arriving 001.jpg = On the phone with Delta
Arriving 002.jpg = On the phone with Delta
Arriving 003.jpg = On the phone with Delta
Arriving 004.jpg = What to do? Drink beers!
Arriving 005.jpg = What to do? Drink beers!
Arriving 006.jpg = Sunset
Arriving 007.jpg = Sunset
Arriving 008.jpg = Navigation
Arriving 009.jpg = Navigation
Arriving 010.jpg = Navigation
Arriving 011.jpg = Mr Greg
Arriving 012.jpg = Mr Keith
Arriving 013.jpg = Video screens
Arriving 014.jpg = Mr Greg
Arriving 015.jpg = Mr Greg
Arriving 016.jpg = Honolulu
Arriving 017.jpg = Honolulu
Arriving 018.jpg = Honolulu
Arriving 019.jpg = Navigation
Arriving 021.jpg = The most helpful Delta employee, Eric!
Arriving 022.jpg = Mr Greg
Arriving 023.jpg = Honolulu
Arriving 024.jpg = 30.5 hours later, arriving in Kona
Arriving 025.jpg = 30.5 hours later, arriving in Kona
Arriving 026.jpg = Welcome package
Arriving 027.jpg = Once again, two beds! There is still a god!
Arriving 028.jpg = The view from the room
Arriving 029.jpg = The view from the room
Arriving 030.jpg = The view from the room
Arriving 031.jpg = Mr Greg and the Champagne
Arriving 032.jpg = Mr Keith and the Champagne
Arriving 033.jpg = Mr Keith and the Champagne
Arriving 034.jpg = Activities map
Arriving 035.jpg = Activities map
Arriving 036.jpg = Our room (top)
Arriving 037.jpg = Mr Greg and the Champagne
Arriving 038.jpg = Mr Keith and the Champagne
Arriving 039.jpg = Mr Greg
Arriving 040.jpg = The hotel lobby